get_incident_postmortem
GET
/incident/{incident_id}/postmortem
const url = 'https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/postmortem';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/postmortem \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” incident_id
required
string format: uuid
Incident identifier
Responses
Section titled “ Responses ”The incident’s postmortem
Media type application/json
object
id
required
string format: uuid
incident_id
required
string format: uuid
status
required
string
body
required
Markdown.
string
owner_user_id
string | null format: uuid
created_by_user_id
Null for API keys.
string | null format: uuid
created_at
required
string format: date-time
updated_at
required
string format: date-time
published_at
When it was last moved to published.
string | null format: date-time
Example
{ "status": "draft"}Missing authentication
Missing incidents read scope
Incident not found, or it has no postmortem
Internal server error